%global git_ver ea0b0f6

Name:    nordic-theme
Version: 2.2.1
License: GPLv3
Release: %{?git_ver:0.6.git%{git_ver}}%{!?git_ver:1}%{?dist}
#URL:     https://store.kde.org/p/1686927
URL:     https://github.com/EliverLara/Nordic
Source0: Nordic-%{version}%{?git_ver:.git%{git_ver}.tar.xz}%{?!git_ver:.tar.gz}
Source1: Nordic-bluish-accent.tar.xz
Source2: Nordic-darker.tar.xz
Source3: Nordic-Polar.tar.xz
Source4: Nordic.tar.xz

Summary: Nordic theme

BuildArch: noarch
BuildRequires: coreutils
BuildRequires: git-core

%description
Nordic theme

%prep
rm -rf nordic-theme
%setup -D -c -n nordic-theme -a 0
git clone https://github.com/EliverLara/Nordic-kde.git

%build

%install
mkdir -p %{buildroot}%{_datadir}/{themes/Nordic-orig,icons,aurorae/themes,color-schemes,konsole,Kvantum,plasma/{desktoptheme/Nordic,look-and-feel},sddm/themes}
pushd Nordic-%{version}%{?git_ver:.git%{git_ver}}
cp -r kde/aurorae/Nordic         %{buildroot}%{_datadir}/aurorae/themes/
cp    kde/colorschemes/*         %{buildroot}%{_datadir}/color-schemes/
cp -r kde/cursors/Nordic-cursors %{buildroot}%{_datadir}/icons/
cp -r kde/folders/Nordic-*       %{buildroot}%{_datadir}/icons/
cp    kde/konsole/*              %{buildroot}%{_datadir}/konsole/
cp -r kde/kvantum/*              %{buildroot}%{_datadir}/Kvantum/
cp -r kde/plasma/look-and-feel/* %{buildroot}%{_datadir}/plasma/look-and-feel/
cp -r kde/sddm/Nordic            %{buildroot}%{_datadir}/sddm/themes/Nordic
cp -r kde/sddm/Nordic-bluish     %{buildroot}%{_datadir}/sddm/themes/Nordic-bluish
cp -r kde/sddm/Nordic-darker     %{buildroot}%{_datadir}/sddm/themes/Nordic-darker
cp -r assets cinnamon extras gnome-shell gtk-2.0 gtk-3.0 gtk-4.0 metacity-1 xfwm4 index.theme  %{buildroot}%{_datadir}/themes/Nordic-orig
popd
pushd Nordic-kde
cp -r colors  dialogs  icons  LICENSE  metadata.desktop  preview  widgets %{buildroot}%{_datadir}/plasma/desktoptheme/Nordic/
popd
tar Jxvf %{SOURCE1} -C %{buildroot}%{_datadir}/themes/
tar Jxvf %{SOURCE2} -C %{buildroot}%{_datadir}/themes/
tar Jxvf %{SOURCE3} -C %{buildroot}%{_datadir}/themes/
tar Jxvf %{SOURCE4} -C %{buildroot}%{_datadir}/themes/

%files
%{_datadir}/themes/Nordic-orig
%{_datadir}/themes/Nordic-bluish-accent
%{_datadir}/themes/Nordic-darker
%{_datadir}/themes/Nordic-Polar
%{_datadir}/themes/Nordic
%{_datadir}/aurorae/themes/
%{_datadir}/color-schemes/
%{_datadir}/icons/Nordic-{bluish,cursors,darker,green}/
%{_datadir}/konsole/
%{_datadir}/Kvantum/
%{_datadir}/plasma/desktoptheme/Nordic
%{_datadir}/plasma/look-and-feel/
%{_datadir}/sddm/themes/{Nordic,Nordic-bluish,Nordic-darker}


%changelog
* Thu Jul 13 2023 Tomas Chang <changyp6@gmail.com> - 2.2.1-0.6.gitea0b0f6
- Update to latest git

* Wed Oct 19 2022 Tomas Chang <changyp6@gmail.com> - 2.2.1-0.5.gitac37953
- Update to latest git

* Fri Sep 23 2022 Tomas Chang <changyp6@gmail.com> - 2.2.1-0.4.git7007ef5
- Update to latest git

* Fri Jul 29 2022 Tomas Chang <changyp6@gmail.com> - 2.2.1-0.3.git3166461
- Update to latest git

* Mon Jul 18 2022 Tomas Chang <changyp6@gmail.com> - 2.2.1-0.2.gitc085f18
- Update to latest git

* Tue Jun 28 2022 Tomas Chang <changyp6@gmail.com> - 2.2.1-0.1.git59251a3
- Update to latest git

* Sun May 29 2022 Tomas Chang <changyp6@gmail.com> - 2.2.0-0.5.git97d73e7
- Update to latest git

* Tue Mar 15 2022 Tomas Chang <changyp6@gmail.com> - 2.2.0-0.4.git9f39c5c
- Update to latest git

* Thu Feb 24 2022 Tomas Chang <changyp6@gmail.com> - 2.2.0-0.3.gitd793351
- Add more GTK Nordic themes

* Tue Feb 22 2022 Tomas Chang <changyp6@gmail.com> - 2.2.0-0.2.gitd793351
- Add Nordic-kde plasma theme

* Tue Feb 22 2022 Tomas Chang <changyp6@gmail.com> - 2.2.0-0.1.gitd793351
- Update to latest git

* Mon Feb 21 2022 Tomas Chang <changyp6@gmail.com> - 2.1.0-1
- Initial build

